/* error_mgr.c

   Written by Curtis Olson
   Started April 9, 1993
*/


#include <stdio.h>

#include "error_mgr.h"
#include "version.h"


char prog_name[256];


void e_reg_prog_name(char name[]) {
    strcpy(prog_name, name);
}


void e_usage() {
    printf("Usage:    %s [-ansv]\n", prog_name);
    printf("Options:  -a  All files.\n");
    printf("          -n  List file names only.\n");
    printf("          -s  List number of files only.\n");
    printf("          -v  Display current version.\n");
    exit(-1);
}


void e_msg(char msg[]) {
    fprintf(stderr, "%s:  %s\n", prog_name, msg);
    exit(-2);
}


int e_version() {
    printf("%s:  version %s\n", prog_name, VERSION);
    return 0;
}
