/* news.c

   Written by Curtis Olson
   Started April 9, 1993
*/


#include <stdio.h>

#include "error_mgr.h"
#include "news_mgr.h"


main(int argc, char *argv[]) {
    
    int count = 1;
    int items = 0;
    int pos;
    int text = 1, all = 0, names = 0, number = 0;
    int special = 0;
    int version = 0;

    /* Register program name with the error manager */
    e_reg_prog_name(argv[0]);

    while (count < argc) {
	if (argv[count][0] == '-') {
	    pos = 1;
	    while (argv[count][pos] != '\0') {
		switch (argv[count][pos]) {
		    case 'a':	all = 1;
				break;
		    case 'n':	names = 1;
				number = 0;
				text = 0;
				break;
		    case 's':	number = 1;
				names = 0;
				text = 0;
				break;
		    case 'v':	version = 1;
				break;
		    default:	e_usage();
		}
		pos++;
	    }
	} else {
	    special = 1;
    	    news(argv[count], 1, 1, 0, 0);
	    items++;
	}
	count++;
    }

    if (version) {
	return e_version();
    } else if (!special || all || names || number) {
        return news("", text, all, names, number);
    } else if (special) {
	return items;
    }
}
